# Companion

object Companion

## Functions

hashOf
Link copied to clipboard
fun hashOf(charSequence: CharSequence): String
hashOfNormalisedString
Link copied to clipboard
fun hashOfNormalisedString(charSequence: CharSequence): String
implicitImportsForScript
Link copied to clipboard
fun implicitImportsForScript(scriptText: CharSequence, environment: <Error class: unknown class>?): <Error class: unknown class>

Optimisation note: assumes scriptText contains only `\n` line separators as any script text coming from the Kotlin compiler already should.